Bug 741230 - The bottom buttons are unexpectedly changing order.
Summary: The bottom buttons are unexpectedly changing order.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libreport
Version: 16
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miroslav Lichvar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 10:51 UTC by Vít Ondruch
Modified: 2011-12-16 19:55 UTC (History)
9 users (show)

Fixed In Version: abrt-2.0.7-2.fc16
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-16 19:55:26 UTC


Attachments (Terms of Use)

Description Vít Ondruch 2011-09-26 10:51:55 UTC
Description of problem:
The buttons on the bottom of reporting window are changing order unexpectedly. It may lead to closing the report accidentally.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. report bug from notification area
2. go several steps forward
3. keep clicking on "back" button when suddenly on the same place appears the "close button"
  
Actual results:


Expected results:
It should not be possible to let the "close" button replace the "back" button.

Additional info:

Comment 1 Miroslav Lichvar 2011-10-07 14:30:49 UTC
Actually the order of the buttons is preserved, but different pages have different buttons, so at the same position a different button can be shown.

A solution to avoid accidentally closing the wizard could be align the close button to left, so it's always at the same position.

Comment 2 Miroslav Lichvar 2011-10-07 15:16:53 UTC
Upstream commit aa4bb0.

Comment 3 Fedora Update System 2011-12-10 11:07:40 UTC
abrt-2.0.7-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/abrt-2.0.7-2.fc16

Comment 4 Fedora Update System 2011-12-11 21:59:05 UTC
Package abrt-2.0.7-2.fc16, libreport-2.0.8-3.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing abrt-2.0.7-2.fc16 libreport-2.0.8-3.fc16'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-16990/libreport-2.0.8-3.fc16,abrt-2.0.7-2.fc16
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2011-12-16 19:55:26 UTC
abrt-2.0.7-2.fc16, libreport-2.0.8-3.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.